package cn.iocoder.yudao.module.wealth.vo.payable;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 应付款 Response VO
 *
 * @author 郑屹
 */
@Data
@ApiModel("管理后台 - 应付款 Response VO")
public class PayableBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("自编号")
    @ApiModelProperty(value = "自编号")
    private String payableNo;

    @ExcelProperty("付款单id")
    @ApiModelProperty(value = "付款单id")
    private Long paymentId;

    @ExcelProperty("付款单号")
    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("订单号")
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ExcelProperty("供应商id")
    @ApiModelProperty(value = "供应商id")
    private Long supplierId;

    @ExcelProperty("供应商名称")
    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ExcelProperty("费用类型(字典:payable_fee_type)")
    @ApiModelProperty(value = "费用类型(字典:payable_fee_type)", required = true)
    private Long feeType;

    @ExcelProperty("金额")
    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal totalAmount;

    @ExcelProperty("币货币id")
    @ApiModelProperty(value = "币货币id")
    private Long currencyId;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    @ExcelProperty("汇率")
    @ApiModelProperty(value = "汇率")
    private String exchangeRate;

    @ExcelProperty("税率")
    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ExcelProperty("税价合计")
    @ApiModelProperty(value = "税价合计")
    private java.math.BigDecimal total;

    @ExcelProperty("收款状态（0未付款，1付款中，2已付款）")
    @ApiModelProperty(value = "收款状态（0未付款，1付款中，2已付款）")
    private Integer state;

    @ExcelProperty("数据来源（pc端，mobile端）")
    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ExcelProperty("操作步骤")
    @ApiModelProperty(value = "操作步骤")
    private Long stepsId;

    @ExcelProperty("额外费用")
    @ApiModelProperty(value = "额外费用")
    private Integer extraCost;

    @ExcelProperty("货柜id")
    @ApiModelProperty(value = "货柜id")
    private Long containerId;

    @ExcelProperty("货柜号")
    @ApiModelProperty(value = "货柜号")
    private String containerNo;

    @ExcelProperty("发票号")
    @ApiModelProperty(value = "发票号", required = true)
    private String invoiceNumber;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "始发地")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的地")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private Long transportId;

    @ApiModelProperty(value = "出货费ID")
    private Long shippingFeeId;


}
